For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
      • GETList Leads
      • POSTCreate a new lead
      • POSTMerge two leads
      • GETGet a single Lead
      • PUTUpdate an existing lead
      • DELDelete a lead
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM CoreLeads

Update an existing lead

||View as Markdown|
PUT
https://api.close.com/api/v1/lead/:id/
PUT
/api/v1/lead/:id/
$curl -X PUT https://api.close.com/api/v1/lead/id/ \
> -H "Content-Type: application/json" \
> -u "<CLOSE_API_KEY>:" \
> -d '{
> "description": "Best show ever canceled. Sad."
>}'
1{
2 "contact_ids": [
3 "cont_qpjDKxbN3WWsuhaJjg2Qr9pkqHqe1yviZ5BS0dEyz05"
4 ],
5 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
6 "date_created": "2013-02-20T05:30:24.854000+00:00",
7 "date_updated": "2013-02-20T05:43:41.622000+00:00",
8 "description": "Best show ever canceled. Sad.",
9 "html_url": "https://app.close.com/lead/lead_70jZ5hiVt5X31MZ3vJ0R0GJMqJEihkoF7TtSVFbN2ty/",
10 "id": "lead_70jZ5hiVt5X31MZ3vJ0R0GJMqJEihkoF7TtSVFbN2ty",
11 "name": "Bluth Company",
12 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
13 "status_id": "stat_1ZdiZqcSIkoGVnNOyxiEY58eTGQmFNG3LPlEVQ4V7Nk",
14 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
15 "url": "http://thebluthcompany.tumblr.com/",
16 "addresses": [],
17 "display_name": "Bluth Company",
18 "status_label": "Potential",
19 "tasks": [],
20 "contacts": [
21 {
22 "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
23 "date_created": "2013-02-20T05:30:24.844000+00:00",
24 "date_updated": "2013-02-20T05:43:41.611000+00:00",
25 "display_name": "Gob",
26 "id": "cont_qpjDKxbN3WWsuhaJjg2Qr9pkqHqe1yviZ5BS0dEyz05",
27 "name": "Gob",
28 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
29 "title": "sr. vice president",
30 "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
31 "emails": [
32 {
33 "email": "gob@example.com",
34 "is_unsubscribed": false,
35 "type": "office"
36 }
37 ],
38 "phones": [
39 {
40 "phone": "+18004445555",
41 "type": "office",
42 "phone_formatted": "+1 800-444-5555"
43 }
44 ]
45 }
46 ],
47 "opportunities": []
48}
Supports non-destructive patches. Nested `contacts` cannot be updated through this endpoint -- use the Contacts API instead. **status**: See `status` and `status_id` guidance on the create endpoint. **custom.FIELD_ID** (optional): See `custom.FIELD_ID` guidance on the create endpoint. You can also unset a single field, e.g.: ```json { "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c": null } ``` If the custom field accepts multiple values, you can specify `.add` or `.remove` as part of the field key to add/remove a single value to/from a list of values, e.g.: ```json { "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c.add": "Wednesday" } ``` adds "Wednesday" to the list of values which already exist on the given lead.
Was this page helpful?
Previous

Get a single Lead

Next

Delete a lead

Built with

Supports non-destructive patches. Nested contacts cannot be updated through this endpoint — use the Contacts API instead.

status: See status and status_id guidance on the create endpoint.

custom.FIELD_ID (optional): See custom.FIELD_ID guidance on the create endpoint. You can also unset a single field, e.g.:

1{ "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c": null }

If the custom field accepts multiple values, you can specify .add or .remove as part of the field key to add/remove a single value to/from a list of values, e.g.:

1{ "custom.cf_v6S011I6MqcbVvB2FA5Nk8dr5MkL8sWuCiG8cUleO9c.add": "Wednesday" }

adds “Wednesday” to the list of values which already exist on the given lead.

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Request

This endpoint expects any.

Response

Successful response
contact_idslist of strings
created_bystring or null
date_createddatetime
date_updateddatetime
descriptionstring or null
html_urlstring
idstring
namestring or null
organization_idstring
status_idstring
updated_bystring or null
urlstring or null
addresseslist of objects
contacts_summarystring
created_by_namestring or null
display_namestring
integration_linkslist of objects
localtimedatetime or null
primary_address_summarystring or null
primary_emailobject or null
primary_phoneobject or null
recent_callslist of maps from strings to any
sourcestring or null
status_labelstring
summarieslist of maps from strings to any
taskslist of maps from strings to any
updated_by_namestring or null
contactslist of objectsDeprecated
opportunitieslist of objectsDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error